Bug 445131 - mtu boot argument ignored
mtu boot argument ignored
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 06:38 EDT by Alexandre Oliva
Modified: 2008-08-01 22:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-01 22:00:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2008-05-04 06:38:59 EDT
Description of problem:
For some reason, as of recently, I had to set a lower-than-1500 mtu on one of my
notebooks for reliable network operation.  This has been easy to do with config
files, but it proved to be challenging to get Fedora 9-Preview installed on this
notebook with kickstart, for the mtu argument appears to be ignored for install
time.  As a result, the machine ends up unable to access the nfs-mounted install
media: the TCP connections used to implement NFS break unless I force the TCP
MSS to a lower value on the server, emulating to some extent the effects of
setting the MTU on the installing client.  I could verify during installation
that the dhcp-configured ethernet interface had MTU set to the default value,
rather than to the one I'd specified.

Version-Release number of selected component (if applicable):
9-Preview

How reproducible:
Every time

Steps to Reproduce:
1.Boot up with e.g. mtu=500
2.Check that the setting made to the interface

Actual results:
It doesn't

Expected results:
It should

Additional info:
Comment 1 Bug Zapper 2008-05-14 06:37:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lindeberg 2008-06-03 10:26:01 EDT
Is this still a problem in the final release of F9?
Comment 3 Alexandre Oliva 2008-06-03 18:38:58 EDT
'fraid so.
Comment 4 David Cantrell 2008-08-01 22:00:26 EDT
This should be working in recent rawhide trees.

Note You need to log in before you can comment on or make changes to this bug.